Subject: bug#54970: 28.1; Some emoji no longer display

From: Alan Third <[email-masked]>
Date: Sun, 17 Apr 2022 20:27:45 +0100

On Sun, Apr 17, 2022 at 09:58:56PM +0300, Eli Zaretskii wrote:
> > From: Lars Ingebrigtsen <[email-masked]>
> > Cc: [email-masked],  [email-masked],  [email-masked],
> >   [email-masked]
> > Date: Sun, 17 Apr 2022 20:45:35 +0200
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > > That's what I thought, but "C-u C-x =" says "no font was found", which
> > > AFAIU contradicts this theory.
> > 
> > Huh, indeed.  How odd.  Why isn't Emacs showing tofu instead of a blank
> > square, then?
> 
> No idea.  Maybe it's a macOS thing or something?

I'm pretty sure that I've never ever seen NS Emacs on macOS produce
anything but a blank square (and it's always a square) for missing
characters.

I don't understand macfont.m, or Emacs's font handling, well enough to
really know what's going on.

Looking at the limited number of macOS apps I have, it looks like they
all display something different, so I guess the output is application
dependent.

-- 
Alan Third